<!DOCTYPE html>
<html>
<head>
		<title>JavaScript Training</title>
</head>
	<body>
		<script type="text/javascript">
			console.log("hello html");
			var salary = 1000;
			function salaryIncrement() {
				//20  means  1000 + (1000 * (20/100)) = 1200 
                var per = parseInt(document.getElementById('a').value);
                    // if(isNaN(per)){ per=0 ;}
                document.getElementById("output").innerHTML= salary + ( salary * (per/100));
			}
		    function bonus() {
                var bon = parseInt(document.getElementById('b').value);
                    // if(isNaN(bon)){ bon=0 ;}
                document.getElementById("output").innerHTML= salary + bon ;
			}
			function LeavesAmount() {
				var Leaves = parseInt(document.getElementById('money').value);
                // if(isNaN(Leaves)){Leaves=0 ;}
                document.getElementById("output").innerHTML = salary - Leaves ;
			}

		</script>
		<h1>Salary Calculator </h1>
		<form>
			<label> Base Salary $1000</label><br/><br/>
			<input id="a" type="number" placeholder="increment percentage" name="" /> <br/><br/>
			<input id="b" type="number" placeholder="add bous " name="" /> <br/><br/>
			<input id="money" type="number" placeholder="minus salary" name="" /> <br/><br/>
			<input type="button" onclick="salaryIncrement()" value="Increment"> |  
			<input type="button" onclick="bonus()" value="Bonus"> |  
			<input type="button" onclick="LeavesAmount()" value="Leaves"> |  
			<br/><br/> 

			Final Salary: <label id="output"></label>
		</form>	
	</body>
</html>